Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbulkmail/admin/templatelist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: templatelist.php 6209 2001-07-19 12:36:31Z jakobn $
5 //
6 // Created on: <18-Apr-2001 16:36:22 fh>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezbulkmail/classes/ezbulkmailtemplate.php" );
28 // include_once( "ezuser/classes/ezuser.php" );
29 // include_once( "classes/ezhttptool.php" );
30 // include_once( "classes/eztemplate.php" );
31 // include_once( "classes/INIFile.php" );
32
33 if( isset( $New ) )
34 {
35 eZHTTPTool::header( "Location: /bulkmail/templateedit/0" );
36 exit();
37 }
38
39 if( isset( $Delete ) && count( $TemplateArrayID ) > 0 )
40 {
41 foreach( $TemplateArrayID as $templateID )
42 eZBulkMailTemplate::delete( $templateID );
43 }
44
45 $t = new eZTemplate( "kernel/ezbulkmail/admin/" . $ini->variable( "eZBulkMailMain", "AdminTemplateDir" ),
46 "kernel/ezbulkmail/admin/intl", $Language, "templatelist.php" );
47
48 $t->set_file( array(
49 "template_list_tpl" => "templatelist.tpl"
50 ) );
51
52 $t->setAllStrings();
53 $t->set_var( "site_style", $siteDesign );
54
55 $t->set_block( "template_list_tpl", "template_tpl", "template" );
56 $t->set_block( "template_tpl", "template_item_tpl", "template_item" );
57 $t->set_var( "template_item", "" );
58 $t->set_var( "template", "" );
59
60
61 $templates = eZBulkMailTemplate::getAll();
62 $i = 0;
63 foreach( $templates as $templateitem )
64 {
65 $t->set_var( "template_name", $templateitem->name() );
66 $t->set_var( "template_description", $templateitem->description() );
67 $t->set_var( "template_id", $templateitem->id() );
68 ( $i % 2 ) ? $t->set_var( "td_class", "bgdark" ) : $t->set_var( "td_class", "bglight" );
69
70 $t->parse( "template_item", "template_item_tpl", true );
71 $i++;
72 }
73 if( $i > 0 )
74 $t->parse( "template", "template_tpl" );
75
76 $t->pparse( "output", "template_list_tpl" );
77
78 ?>
eZBulkMailTemplate\delete
delete( $id=-1)
Definition: ezbulkmailtemplate.php:100
eZBulkMailTemplate\getAll
static getAll()
Definition: ezbulkmailtemplate.php:145
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: classes/admin/linklist.php:65
$ini
$ini
Definition: classes/admin/linklist.php:64
$templateID
$templateID
Definition: ezbulkmail/admin/mailedit.php:71
$templates
$templates
Definition: ezbulkmail/admin/templatelist.php:61
$i
$i
Definition: ezbulkmail/admin/templatelist.php:62
$t
if(isset( $New)) if(isset( $Delete) &&count( $TemplateArrayID) > 0) $t
Definition: ezbulkmail/admin/templatelist.php:45
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.